Subject: Re: Workaround for USB DMA bugs

From: Dan Malek <[email-masked]>
Date: Wed, 03 Apr 2002 21:54:29 -0500

David Gibson wrote:

> It's becoming easier though, with the __cacheline_aligned macro.  Plus
> I think if the buffer is individually kmalloc()ed it will be properly
> aligned.

Alignment is only half the problem.  You have to ensure the object is
modulo cache line size as well.  You can't be sharing cache lines subject
to DMA with other DMA or processor core data.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/